﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{
    public class CityDetails : INotifyPropertyChanged
    {
        private string _cityName;
        private int _cityID;
        public string CityName
        {
            get
            {
                return _cityName;
            }
            set
            {
                _cityName = value;
                RaisePropertyChanged("CityName");
            }
        }
        public int CityID
        {
            get
            {
                return _cityID;
            }
            set
            {
                _cityID = value;
                RaisePropertyChanged("CityID");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
